<?php
/**
*
* @package phpBB Extension - Sunspot
* @copyright (c) 2018 HiFiKabin
* @license GNU General Public License, version 2 (GPL-2.0)
*
*/

namespace hifikabin\sunspot\migrations;

class sunspot_ucp extends \phpbb\db\migration\migration
{

	public function effectively_installed()
	{
		return $this->db_tools->sql_column_exists($this->table_prefix . 'users', 'user_sunspot');
	}

	public function update_schema()
	{
		return array(
			'add_columns'	=> array(
				$this->table_prefix . 'users' => array(
					'user_sunspot' => array('BOOL', 0),
				),
			),
		);
	}

	public function revert_schema()
	{
		return array(
			'drop_columns'	=> array(
				$this->table_prefix . 'users' => array(
					'user_sunspot',
				),
			),
		);
	}
}
